Skip to content

Update Source

PUT
/data_syncer/source/{Source_Id}/
curl --request PUT \
--url 'https://api.e2enetworks.com/myaccount/api/v1/gpu/data_syncer/source/{Source_Id}/?project_id=<PROJECT_ID>&location=<LOCATION>&apikey=<API_KEY>' \
--header 'Authorization: Bearer <API_TOKEN>' \
--header 'Content-Type: application/json' \
--data '{
"name": "syncer-source-0219173",
"config": {
"prefix": "/",
"bucket_name": "test-r1",
"endpoint_url": "objectstore.e2enetworks.net",
"access_key": "00TFJ4YSVEX9B9P1UTJU",
"secret_key": "FJCGMBRYONT76TLRD2QHCTICIHSZIY9G21RB28H5"
}
}'
Source_Id
required
integer

Source Id

project_id
required
integer

Project ID

active_iam
integer

Active IAM ID (To access contact person account) Find your Active IAM ID here

location
required
string
Allowed values: Delhi Chennai

Location

Media typeapplication/json
object
name
string

Example

syncer-source-0219173
config
object
prefix
string

Example

/
bucket_name
string

Example

test-r1
endpoint_url
string

Example

objectstore.e2enetworks.net
access_key
string

Example

00TFJ4YSVEX9B9P1UTJU
secret_key
string

Example

FJCGMBRYONT76TLRD2QHCTICIHSZIY9G21RB28H5

Successful response with source details

Media typeapplication/json
object
code
integer
data
object
id
integer
name
string
status
string
start_date
string
nullable
file_search_filter
Array<string>
file_size_upper_limit
integer
file_size_lower_limit
integer
path_array
Array<string>
regex_pattern
string
nullable
created_by
object
id
integer
name
string
email
string
username
string
created_at
string format: date-time
updated_at
string format: date-time
source_type
string
source_connector
object
id
integer
source_type
string
name
string
icon_url
string
description
string
configuration
object
bucket_name
string
endpoint_url
string
access_key
string
secret_key
string
prefix
string
errors
object
message
string

Example

{
"code": 200,
"data": {
"id": 214,
"name": "syncer-source-0219173",
"status": "active",
"start_date": null,
"file_search_filter": [],
"file_size_upper_limit": 0,
"file_size_lower_limit": 0,
"path_array": [],
"regex_pattern": null,
"created_by": {
"id": 4945,
"name": "Rahul Tanwar",
"email": "rahul.tanwar@e2enetworks.com",
"username": "rahul.tanwar@e2enetworks.com"
},
"created_at": "2025-02-19T12:12:47.457714Z",
"updated_at": "2025-02-20T05:22:53.505091Z",
"source_type": "minio",
"source_connector": {
"id": 1,
"source_type": "minio",
"name": "MinIO",
"icon_url": "/data-syncer-images/minio.png",
"description": "MinIO is an open source object storage system."
},
"configuration": {
"bucket_name": "test-r1",
"endpoint_url": "objectstore.e2enetworks.net",
"access_key": "00TFJ4YSVEX9B9P1UTJU",
"secret_key": "FJCGMBRYONT76TLRD2QHCTICIHSZIY9G21RB28H5",
"prefix": "/"
}
},
"errors": {},
"message": "Success"
}